Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1692572 - [abrt] rawtherapee: std::__replacement_assert(): rawtherapee killed by SIGABRT
Summary: [abrt] rawtherapee: std::__replacement_assert(): rawtherapee killed by SIGABRT
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: rawtherapee
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mattia Verga
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d50f42dc36bb3aa981268077b6e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-25 22:16 UTC by Jan Stodola
Modified: 2019-04-07 11:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
File: backtrace (deleted)
2019-03-25 22:16 UTC, Jan Stodola
no flags Details
File: cgroup (deleted)
2019-03-25 22:16 UTC, Jan Stodola
no flags Details
File: core_backtrace (deleted)
2019-03-25 22:16 UTC, Jan Stodola
no flags Details
File: cpuinfo (deleted)
2019-03-25 22:16 UTC, Jan Stodola
no flags Details
File: dso_list (deleted)
2019-03-25 22:16 UTC, Jan Stodola
no flags Details
File: environ (deleted)
2019-03-25 22:16 UTC, Jan Stodola
no flags Details
File: limits (deleted)
2019-03-25 22:16 UTC, Jan Stodola
no flags Details
File: maps (deleted)
2019-03-25 22:16 UTC, Jan Stodola
no flags Details
File: mountinfo (deleted)
2019-03-25 22:16 UTC, Jan Stodola
no flags Details
File: open_fds (deleted)
2019-03-25 22:17 UTC, Jan Stodola
no flags Details
File: proc_pid_status (deleted)
2019-03-25 22:17 UTC, Jan Stodola
no flags Details
File: DSC09189.ARW (deleted)
2019-03-25 22:17 UTC, Jan Stodola
no flags Details

Description Jan Stodola 2019-03-25 22:16:45 UTC
Description of problem:
I tried to open a raw file (it will be uploaded) and it's possible to reproduce it every time.

Version-Release number of selected component:
rawtherapee-5.5-1.fc29

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        rawtherapee /home/honza/DSC09189.ARW
crash_function: std::__replacement_assert
executable:     /usr/bin/rawtherapee
journald_cursor: s=f46eeb55698449f6a33158ca4e3c2142;i=21e6;b=3304a29732af40f9bc5d6b6248ecc312;m=7ed2917;t=584f249624cf7;x=5b5eced01e522b51
kernel:         5.0.3-200.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Jan Stodola 2019-03-25 22:16:48 UTC
Created attachment 1547860 [details]
File: backtrace

Comment 2 Jan Stodola 2019-03-25 22:16:49 UTC
Created attachment 1547861 [details]
File: cgroup

Comment 3 Jan Stodola 2019-03-25 22:16:51 UTC
Created attachment 1547862 [details]
File: core_backtrace

Comment 4 Jan Stodola 2019-03-25 22:16:52 UTC
Created attachment 1547863 [details]
File: cpuinfo

Comment 5 Jan Stodola 2019-03-25 22:16:53 UTC
Created attachment 1547864 [details]
File: dso_list

Comment 6 Jan Stodola 2019-03-25 22:16:54 UTC
Created attachment 1547865 [details]
File: environ

Comment 7 Jan Stodola 2019-03-25 22:16:55 UTC
Created attachment 1547866 [details]
File: limits

Comment 8 Jan Stodola 2019-03-25 22:16:57 UTC
Created attachment 1547867 [details]
File: maps

Comment 9 Jan Stodola 2019-03-25 22:16:58 UTC
Created attachment 1547868 [details]
File: mountinfo

Comment 10 Jan Stodola 2019-03-25 22:17:00 UTC
Created attachment 1547869 [details]
File: open_fds

Comment 11 Jan Stodola 2019-03-25 22:17:06 UTC
Created attachment 1547870 [details]
File: proc_pid_status

Comment 12 Jan Stodola 2019-03-25 22:17:48 UTC
Created attachment 1547871 [details]
File: DSC09189.ARW

Comment 13 Mattia Verga 2019-03-26 08:31:17 UTC
I tried to open the file and I got no crash. However, it only shows a black frame: should it show something or it's just a dark frame? In the latter case, can you try renaming your ~/.config/Rawtherapee/options file to options.bak and retry opening the file? (a new default options file will be recreated automatically)

Comment 14 Jan Stodola 2019-03-26 10:00:37 UTC
That's interesting. I got the crash on my workstation and laptop with F29 and then I reproduced it in a virtual machine installed just for the purpose of reproducing the problem on a fresh and updated Fedora 29 (this bug report comes from the VM). Renaming ~/.config/Rawtherapee/options did not help.
Yes, the photo is just black, nothing interesting to see there.

Comment 15 Mattia Verga 2019-03-26 22:15:20 UTC
(In reply to Jan Stodola from comment #14)
> That's interesting. I got the crash on my workstation and laptop with F29
> and then I reproduced it in a virtual machine installed just for the purpose
> of reproducing the problem on a fresh and updated Fedora 29 (this bug report
> comes from the VM). Renaming ~/.config/Rawtherapee/options did not help.
> Yes, the photo is just black, nothing interesting to see there.

Yeah, it seems that the pp3 profile generated by RT by default is causing the crash for this particular file (or for Sony cameras raw files, I use Canon so I can't try with another image).
The problem seems to be the 'HistogramMatching=true' setting in the '[Exposure]' section. With 'true' I get the crash, with 'false' it works.

I will report upstream.

Comment 16 Fedora Update System 2019-04-06 17:06:59 UTC
rawtherapee-5.5-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a52310de21

Comment 17 Fedora Update System 2019-04-07 11:50:41 UTC
rawtherapee-5.5-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a52310de21


Note You need to log in before you can comment on or make changes to this bug.